Bug 149378 - "ethtool -d" fails on e1000 "82547GI GE" card
"ethtool -d" fails on e1000 "82547GI GE" card
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ethtool (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 12:46 EST by Bastien Nocera
Modified: 2013-07-02 22:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-19 19:30:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2005-02-22 12:46:36 EST
$ ethtool -d eth0
Cannot dump registers: Success

When using ethtool2, the dump info appears properly.
PCI IDs of the card is "8086:1075", the pretty name is "Intel Corp.
82547GI Gigabit Ethernet Controller", and the card works correctly
with the current drivers.
Comment 6 Bill Smith 2006-07-10 17:34:55 EDT
I've seen this same error using "ethtool -d" with an adapter using the Intel
82571EB chip (PCI ID 8086:105E).  The e1000 driver installed is v7.1.9, and
ethtool is v1.8.  An adapter with the Intel 82546GB chip works fine with
"ethtool -d".

Note You need to log in before you can comment on or make changes to this bug.